Subject: Re: want to randomly drop packets based on percent

From: George Nychis <[email-masked]>
Date: Mon, 17 Apr 2006 19:08:16 -0400

Stephen Hemminger wrote:

>O
>  
>
>>>>>>I wanted to insert artificial packet loss based on a percent so i found:
>>>>>>network emulab qdisc could do it, so i compiled support into the kernel 
>>>>>>and tried:
>>>>>>tc qdisc change dev eth0 root netem loss .1%
>>>>>>       
>>>>>>
>>>>>>            
>>>>>>
>>>            ^^^^^^
>>>
>>>You need to do add not change. Add will set the queue discipline
>>>to netem (default is pfifo_fast).  Change is for changing netem parameters
>>>after it is loaded.
>>>
>>> 
>>>
>>>      
>>>
>>bahhh I see... the wiki has "change" instead of add.  Now i'm running 
>>into another problem, I have an XCP qdisc that I have already added via:
>>tc qdisc add dev ath0 root xcp capacity 54Mbit size 500
>>
>>    
>>
>
>Wiki reads as a set of examples.  First uses, "add" after that "change".
>
>
>  
>
>>therefore when I also try to incorperate loss:
>>tcq disc add dev ath0 root netem loss .1%
>>
>>I get:
>>RTNETLINK answers: File exists
>>
>>Is it possible to use two qdiscs on the same interface?
>>
>>    
>>
>
>No, but netem is "classful" so you can put xcp inside netem.
>Look at the token bucket example on the wiki.
>
>  
>
Sorry, I was looking at the LARTC guide, completely skipped over the 
blatently obvious block of commands you were pointing me too :P

Thanks!
George